curl --request POST \
--url https://api.example.com/api/v2/projects/{project_id}/test-runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dataset_name": "<string>",
"include_outputs": null,
"test_run_name": null,
"test_run_description": null,
"flavor_name": null,
"target_evaluation_ids": null
}
'{
"test_run_id": "<string>",
"test_run_name": "<string>",
"test_run_description": "<string>",
"test_cases": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"values": {},
"output": "<string>",
"output_message": {
"content": [
{
"text": "<string>",
"type": "text"
}
],
"role": "user"
},
"history": [
{
"content": [
{
"text": "<string>",
"type": "text"
}
],
"role": "user"
}
],
"metadata": {}
}
],
"trace_test_cases": [
{
"test_case_id": "<string>",
"input": true,
"output": true,
"custom_metadata": null,
"test_case_type": "trace"
}
]
}curl --request POST \
--url https://api.example.com/api/v2/projects/{project_id}/test-runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dataset_name": "<string>",
"include_outputs": null,
"test_run_name": null,
"test_run_description": null,
"flavor_name": null,
"target_evaluation_ids": null
}
'{
"test_run_id": "<string>",
"test_run_name": "<string>",
"test_run_description": "<string>",
"test_cases": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"values": {},
"output": "<string>",
"output_message": {
"content": [
{
"text": "<string>",
"type": "text"
}
],
"role": "user"
},
"history": [
{
"content": [
{
"text": "<string>",
"type": "text"
}
],
"role": "user"
}
],
"metadata": {}
}
],
"trace_test_cases": [
{
"test_case_id": "<string>",
"input": true,
"output": true,
"custom_metadata": null,
"test_case_type": "trace"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
TestRunWithTestCasesInfo(test_run_id: str, test_run_name: str, test_run_description: str, test_cases: Optional[list[server.api_routes.test_runs_api_v2.TestCaseInfo]], trace_test_cases: Optional[list[server.api_routes.test_runs_api_v2.TraceTestCaseInfo]])